

//---- RECUPERA PARAMETRO DE LA URL -----------



function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//-------------------------------------

function cargar_periodos(){

var parametros = {"accion":'periodos'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#periodos").html(response);
           }
        });
}

//-------------------------------------

function cargar_docentes(){

var parametros = {"accion":'docentes'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#docentes").html(response);
           }
        });
}


//-------------------------------------

function cargar_asignaturas(){

var docente=document.getElementById('docentes').value;

var parametros = {"accion":'listado_asignaturas',"docente":docente};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#asignaturas").html(response);
           }
        });
}
//--------------------------------------

function activar_asignatura(asignatura,grado,curso){

var cd=document.getElementById(asignatura+'_'+grado+'_'+curso).checked;

//alert(asignatura+'_'+grado+'_'+curso);

var parametros = {"accion":'activar_asignatura',
                  "asignatura":asignatura,
                  "grado":grado,
                  "curso":curso,
                  "estado":cd};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });
        
        

}



//--------------------------------------

function retornar(){
 
    var dir=parametro('rol');

    
    if(dir=='1'){
        
        var id=parametro('id');
    
        location.href="../menu_profesor.php?id="+id+"&rol=1";
    }   
    if(dir=='4'){
       
        document.location.href="../menu.php";
    }
    


}

//-------------------------------------
function limpiar(){

document.getElementById('asignaturas').innerHTML='';

}

//--------------------------------------------------

function  marcar1(chk) {

    var padreDIV=chk;
    while( padreDIV.nodeType==1 && padreDIV.tagName.toUpperCase()!="DIV" )
        padreDIV=padreDIV.parentNode;
    //ahora que padreDIV es el DIV, cogeremos todos sus checkboxes
    var padreDIVinputs=padreDIV.getElementsByTagName("input");

    for(var i=0; i<padreDIVinputs.length; i++) {
        if( padreDIVinputs[i].getAttribute("type")=="checkbox" )
            padreDIVinputs[i].checked = chk.checked;
    }

     //-----------------------------------------------------------
      var estado=document.getElementById('casilla1').checked;

      var parametros = {"accion":'marcar_desmarcar_asignaturas',"estado":estado};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });

}

//-----------------------------------------------------------

function mostrar_reporte(){

var periodo=document.getElementById('periodos').value;
var docente=document.getElementById('docentes').value;

if (periodo=="0") {
    alert("Seleccione Periodo");
    return 0;
}


window.open('logros_pdf.php?periodo='+periodo+'&docente='+docente);

}